/*
 * vException.h
 *
 *  Created on: Feb 2, 2017
 *      Author: vagner
 */

#pragma once

#include "exception"
#include "string"

namespace vCommon
{
	class vException : public std::exception
	{
	private:
		std::string Message;

	public:

		//	ctor
		vException ( const std::string& Message );

		//	dtor
		~vException ( ) throw ( )
		{
		}
		virtual const char* what ( ) const noexcept;
	};

	class vExceptionf : public std::exception
	{
	private:
		std::string Message;

	public:

		//	ctor
		vExceptionf ( const std::string& format, ... );

		//	dtor
		~vExceptionf ( ) throw ( )
		{
		}
		virtual const char* what ( ) const noexcept;
	};
} /* namespace vCommon */
